#!/bin/sh
# Copyright (C) 2006 Shigeru Ninagawa
#   calentropy.sh
#  calculate average entropy
# Usage: calentropy.sh  rule-file
# Input files: initX.conf  X=[1..10]
if [ ! -s $1 ]
then
   exit
fi
if [ -f ent.tmp ]
then
      rm ent.tmp
fi
i=1
while [ $i -le 10 ]
do
   if [ -s init$i.conf  ]
   then
      ./125CA.pl $1 init$i.conf > tmp.res
      ./entropy.pl tmp.res >> ent.tmp
   else
      exit
   fi
   i=`expr $i + 1`
done
./calavg.pl ent.tmp
