#!/bin/sh
# Copyright (C) 2006 Shigeru Ninagawa
#   calmutual.sh
#  calculate average mutual information
# Usage: calmutual.sh  rule-file
# Input files: initX.conf  X=[1..10]
if [ ! -s $1 ]
then
   exit
fi
if [ -f mi.tmp ]
then
      rm mi.tmp
fi
i=1
while [ $i -le 10 ]
do
   if [ -s init$i.conf ]
   then
     ./125CA.pl $1 init$i.conf > tmp.res
     ./mutual.pl tmp.res >> mi.tmp
   else
      exit
   fi
   i=`expr $i + 1`
done
./calavg.pl mi.tmp
