#!/usr/bin/perl
# Copyright (C) 2006 Shigeru Ninagawa
#   caldif.pl
# count the number of cells between file1 and file2
# Usage: caldif.pl file1 file2

open(IN, $ARGV[0]);
chomp($tmp = <IN>);
@list1 = split(" ",$tmp);
close(IN);

open(IN, $ARGV[1]);
chomp($tmp = <IN>);
@list2 = split(" ",$tmp);
close(IN);

$num = @list1;

$i = 0;
$rightmost = -1;
while($i < $num/2){
    if($list1[$i] != $list2[$i]) {$rightmost = $i;}
    ++$i;
}

$i = $num-1;
$leftmost = $num;
while($i > $num/2){
    if($list1[$i] != $list2[$i]) {$leftmost = $i;}
    --$i;
}

$diff = $rightmost + $num - $leftmost + 1;
printf("%d\n",$diff);
